Bug 146792 - satellite syn exception on erratas
Summary: satellite syn exception on erratas
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server   
(Show other bugs)
Version: 360
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 147692
TreeView+ depends on / blocked
 
Reported: 2005-02-01 17:33 UTC by Tsai Li Ming
Modified: 2007-07-31 15:12 UTC (History)
1 user (show)

Fixed In Version: rhn366sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 17:03:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extra comments with source code (2.28 KB, text/plain)
2005-02-01 17:34 UTC, Tsai Li Ming
no flags Details

Description Tsai Li Ming 2005-02-01 17:33:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I'm using
rhn-satellite-3.6.0-106-redhat-linux-as-i386-3-embedded-oracle.iso for
RHEL AS 3.

When I run satellite-sync -c rhel-i386-es-3, satsync.py will throw the
following exception:
Exception type exceptions.UnboundLocalError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 134, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 154, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 258, in
_step_errata
    self.syncer.import_errata()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1640, in
import_errata
    self._fix_erratum(erratum)
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1695, in
_fix_erratum
    package = sp_coll.get_package(pid, timestamp)
UnboundLocalError: local variable 'timestamp' referenced before assignment

I have attached a file with more information.

Version-Release number of selected component (if applicable):
rhns-satellite-tools-3.6.1-59

How reproducible:
Always

Steps to Reproduce:
Just run satellite-sync -c rhel-i386-es-3 again.

Actual Results:  The same exception will be thrown.

Expected Results:  no exception should be thrown.

Additional info:

Comment 1 Tsai Li Ming 2005-02-01 17:34:48 UTC
Created attachment 110505 [details]
Extra comments with source code

Comment 3 Mihai Ibanescu 2005-03-02 17:03:15 UTC
This problem should be fixed in the 3.6.6 version of the packages, that we
deployed in the satellite channels last week. Please reopen if you still see
this bug.


Note You need to log in before you can comment on or make changes to this bug.